If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

SSL not working on various sites, complains of "error code: -5985"

VERIFIED DUPLICATE of bug 156789

Status

Core Graveyard
Security: UI
--
major
VERIFIED DUPLICATE of bug 156789
15 years ago
a year ago

People

(Reporter: Francesco Chemolli, Unassigned)

Tracking

1.0 Branch
x86
Windows 2000

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

15 years ago
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1a) Gecko/20020611
BuildID:    2002061104

Mozilla (various versions, for sure 1.0 and 1.1alpha) on
Windows 2000 complains of an "error -5985" when trying to
connect via SSL to various sites, including the ones in the URL.

Mozilla 0.9.2.1 (build ID: 2001090111) on Red Hat Linux 7.3
is able to access those sites, but the security informations
show (Unknown issuer) as the certificate origin.

Those sites employ a "Global Server ID" from Verisign.
Other sites, using the same product from Verisign 
work flawlessly on the Win2000 version (and exhibit the
same problem on the Linux one).

Reproducible: Sometimes
Steps to Reproduce:
Just open those sites

Actual Results:  The page would not load and I'd get a cryptic error message.

Comment 1

15 years ago
WFM on BuildID 2002062508 on WinXP

Can you try a later build?

Comment 2

15 years ago
Reporter: Do you use a proxy?

(bug 149868)
(Reporter)

Comment 3

15 years ago
In reply to comment #2: it happens both with and without a proxy.

If it can be of any insight, SSL is configured to only accept SSL3,
all encrypting ciphers.

Comment 4

15 years ago
->PSM
Component: Networking → Client Library
Product: Browser → PSM
Version: other → 1.01

Comment 5

15 years ago
Dupe of bug 156789. However, https://titolari.cartasi.it locks up the browser, 
so I have opened bug 157604

*** This bug has been marked as a duplicate of 156789 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
QA Contact: benc → junruh
Resolution: --- → DUPLICATE

Comment 6

15 years ago
Verified.
Status: RESOLVED → VERIFIED

Updated

13 years ago
Component: Security: UI → Security: UI
Product: PSM → Core

Updated

9 years ago
Version: psm1.01 → 1.0 Branch
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.